## ros-noetic-khi-robot 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(khi_robot)
find_package(catkin REQUIRED)
catkin_metapackage()

## ros-noetic-khi-robot 1.3.0

=== debian/changelog ===
ros-noetic-khi-robot (1.3.0-2buster) buster; urgency=high

  * Add rs013n (#50 <https://github.com/Kawasaki-Robotics/khi_robot/issues/50>)
    * Add rs013n
    * Update rs013n pkgs
    * Update libkrnx
    * Fixed rs013n_bringup.launch to use xacro
    * Update libkrnx to 2.2.0
    * Modify test program for RS series robots
    * Remove kinetic from travis.yml
  * Contributors: Hiroki Matsui

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Mon, 04 Apr 2022 15:00:00 -0000

ros-noetic-khi-robot (1.2.0-2buster) buster; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Tue, 26 Jan 2021 15:00:00 -0000

ros-noetic-khi-robot (1.1.2-2buster) buster; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Thu, 06 Jun 2019 15:00:00 -0000

ros-noetic-khi-robot (1.1.1-2buster) buster; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Wed, 24 Apr 2019 15:00:00 -0000

ros-noetic-khi-robot (1.1.0-2buster) buster; urgency=high

  * Merge pull request #10 <https://github.com/Kawasaki-Robotics/khi_robot/issues/10> from d-nakamichi/khi_prefix
    Prefix all pkgs with 'khi_'
  * Convert rs080n_* to khi_rs080n_*
  * Convert rs007l_* to khi_rs007l_*
  * Convert rs007n_* to khi_rs007n_*
  * Convert rs_* to khi_rs_*
  * Convert duaro_* to khi_duaro_*
  * Contributors: Hiroki Matsui, nakamichi_d

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Wed, 10 Apr 2019 15:00:00 -0000

ros-noetic-khi-robot (1.0.0-2buster) buster; urgency=high

  * Contributors: nakamichi_d, matsui_hiro

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Wed, 27 Mar 2019 15:00:00 -0000

=== debian/control ===
Source: ros-noetic-khi-robot
Section: misc
Priority: optional
Maintainer: nakamichi_d <nakamichi_d@khi.co.jp>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/khi_robot
Standards-Version: 3.9.2

Package: ros-noetic-khi-robot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-khi-duaro-description, ros-noetic-khi-duaro-gazebo, ros-noetic-khi-duaro-ikfast-plugin, ros-noetic-khi-duaro-moveit-config, ros-noetic-khi-robot-bringup, ros-noetic-khi-robot-control, ros-noetic-khi-robot-msgs, ros-noetic-khi-rs-description, ros-noetic-khi-rs-gazebo, ros-noetic-khi-rs-ikfast-plugin, ros-noetic-khi-rs007l-moveit-config, ros-noetic-khi-rs007n-moveit-config, ros-noetic-khi-rs013n-moveit-config, ros-noetic-khi-rs080n-moveit-config
Description: Meta package for khi_robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-khi-robot//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-khi-robot 1.4.0

=== debian/changelog ===
ros-noetic-khi-robot (1.4.0-2focal) focal; urgency=high

  * Merge pull request #68 <https://github.com/Kawasaki-Robotics/khi_robot/issues/68> from matsui-hiro/add_rs025n
    Add rs025n
  * Add rs025n
  * Contributors: HirokiTakami, matsui_hiro

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Thu, 27 Apr 2023 15:00:00 -0000

ros-noetic-khi-robot (1.3.0-2focal) focal; urgency=high

  * Add rs013n (#50 <https://github.com/Kawasaki-Robotics/khi_robot/issues/50>)
    * Add rs013n
    * Update rs013n pkgs
    * Update libkrnx
    * Fixed rs013n_bringup.launch to use xacro
    * Update libkrnx to 2.2.0
    * Modify test program for RS series robots
    * Remove kinetic from travis.yml
  * Contributors: Hiroki Matsui

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Mon, 04 Apr 2022 15:00:00 -0000

ros-noetic-khi-robot (1.2.0-2focal) focal; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Tue, 26 Jan 2021 15:00:00 -0000

ros-noetic-khi-robot (1.1.2-2focal) focal; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Thu, 06 Jun 2019 15:00:00 -0000

ros-noetic-khi-robot (1.1.1-2focal) focal; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Wed, 24 Apr 2019 15:00:00 -0000

ros-noetic-khi-robot (1.1.0-2focal) focal; urgency=high

  * Merge pull request #10 <https://github.com/Kawasaki-Robotics/khi_robot/issues/10> from d-nakamichi/khi_prefix
    Prefix all pkgs with 'khi_'
  * Convert rs080n_* to khi_rs080n_*
  * Convert rs007l_* to khi_rs007l_*
  * Convert rs007n_* to khi_rs007n_*
  * Convert rs_* to khi_rs_*
  * Convert duaro_* to khi_duaro_*
  * Contributors: Hiroki Matsui, nakamichi_d

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Wed, 10 Apr 2019 15:00:00 -0000

ros-noetic-khi-robot (1.0.0-2focal) focal; urgency=high

  * Contributors: nakamichi_d, matsui_hiro

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Wed, 27 Mar 2019 15:00:00 -0000

=== debian/control ===
Source: ros-noetic-khi-robot
Section: misc
Priority: optional
Maintainer: nakamichi_d <nakamichi_d@khi.co.jp>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/khi_robot
Standards-Version: 3.9.2

Package: ros-noetic-khi-robot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-khi-duaro-description, ros-noetic-khi-duaro-gazebo, ros-noetic-khi-duaro-ikfast-plugin, ros-noetic-khi-duaro-moveit-config, ros-noetic-khi-robot-bringup, ros-noetic-khi-robot-control, ros-noetic-khi-robot-msgs, ros-noetic-khi-rs-description, ros-noetic-khi-rs-gazebo, ros-noetic-khi-rs-ikfast-plugin, ros-noetic-khi-rs007l-moveit-config, ros-noetic-khi-rs007n-moveit-config, ros-noetic-khi-rs013n-moveit-config, ros-noetic-khi-rs025n-moveit-config, ros-noetic-khi-rs080n-moveit-config
Description: Meta package for khi_robot
